Summary: Opsview Web
License: GPL
Group: Administration
Name: opsview-web
Prefix: /usr/local/opsview-web
Provides: opsview-web
Release: 1%{?distribution:.%{distribution}}
Version: 3.13.0.6479
Source: opsview-web-3.13.0.6479.tar.gz
URL: http://www.opsview.com
Buildroot: /tmp/opsview-web
BuildArch: noarch
Autoreq: 0
Autoreqprov: 0
Requires: opsview-base = 3.13.0.6479
Requires: opsview-core = 3.13.0.6479

%define debug_package %{nil}

%description
This is the web portion of Opsview

%prep
%setup

%build

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/etc/init.d
cp -p %{buildroot}%{prefix}/bin/opsview-web %{buildroot}/etc/init.d/opsview-web

%post
/sbin/chkconfig --add opsview-web
# Only restart opsview-web on upgrades
# On an initial install the database will not be setup
if [ "$1" -ge 2 ] ; then
	/etc/init.d/opsview-web start
fi

%pre
if [ "$1" -ge 2 ] ; then
	if [ -x /etc/init.d/opsview-web ] ; then 
		/etc/init.d/opsview-web stop
	fi
fi

%preun
if [ "$1" = 0 ] ; then
	%{prefix}/bin/opsview-web stop
	/sbin/chkconfig --del opsview-web
fi

%clean
rm -rf %{buildroot}

%files
# This defattr should be -,-,-, but it looks like debian has its own behaviour to set permissions to nagios. Should be done in Makefile
%defattr(-,nagios,nagios)
/usr/local/opsview-web
%attr(0555,root,root) /etc/init.d/opsview-web
